package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkTypeDictDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcWorkTypeDictMapper {


    List<XhpcWorkTypeDictDomain> selectListByParams(@Param("params") Map params);

    List<Map<String, Object>> selectMapListByParams(@Param("params") Map params);

    List<Map<String, Object>> selectMapListByParentParams(@Param("params") Map params);

    int deleteByPrimaryKeyLogic(Integer workTypeId);

    int insert(XhpcWorkTypeDictDomain record);

    int insertSelective(XhpcWorkTypeDictDomain record);

    XhpcWorkTypeDictDomain selectByPrimaryKey(Integer workTypeId);

    XhpcWorkTypeDictDomain selectByName(@Param("name") String name, @Param("parentId")Integer parentId);

    int updateByPrimaryKeySelective(XhpcWorkTypeDictDomain record);

    int updateByPrimaryKey(XhpcWorkTypeDictDomain record);

}
